be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDTRANSACTIONMAAvalues

- java.lang.Object
- - java.lang.Enum<CDTRANSACTIONMAAvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDTRANSACTIONMAAvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDTRANSACTIONMAAvalues>

      public enum CDTRANSACTIONMAAvalues
      extends Enum<CDTRANSACTIONMAAvalues>

  Java class for CD-TRANSACTION-MAAvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-TRANSACTION-MAAvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="agreementrequest"/>
           <enumeration value="agreementresponse"/>
           <enumeration value="freeappendix"/>
           <enumeration value="reglementaryappendix"/>
           <enumeration value="consultationrequest"/>
           <enumeration value="consultationresponse"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGREEMENTREQUEST`
    `AGREEMENTRESPONSE`
    `CONSULTATIONREQUEST`
    `CONSULTATIONRESPONSE`
    `FREEAPPENDIX`
    `REGLEMENTARYAPPENDIX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDTRANSACTIONMAAvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDTRANSACTIONMAAvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDTRANSACTIONMAAvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AGREEMENTREQUEST

          public static final CDTRANSACTIONMAAvalues AGREEMENTREQUEST

    - #### AGREEMENTRESPONSE

          public static final CDTRANSACTIONMAAvalues AGREEMENTRESPONSE

    - #### FREEAPPENDIX

          public static final CDTRANSACTIONMAAvalues FREEAPPENDIX

    - #### REGLEMENTARYAPPENDIX

          public static final CDTRANSACTIONMAAvalues REGLEMENTARYAPPENDIX

    - #### CONSULTATIONREQUEST

          public static final CDTRANSACTIONMAAvalues CONSULTATIONREQUEST

    - #### CONSULTATIONRESPONSE

          public static final CDTRANSACTIONMAAvalues CONSULTATIONRESPONSE

  - ### Method Detail

    - #### values

          public static CDTRANSACTIONMAAvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDTRANSACTIONMAAvalues c : CDTRANSACTIONMAAvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDTRANSACTIONMAAvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDTRANSACTIONMAAvalues fromValue(String v)

Connector Package PERSMIDWIFE 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.